{
    "objects": [
        {
            "attributes": {
                "description": "Kubernetes Controller Manager metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [{\"query\": {\"match\": {\"event.dataset\": {\"query\": \"kubernetes.controllermanager\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"key\": \"event.dataset\", \"params\": {\"query\": \"kubernetes.controllermanager\"}, \"type\": \"phrase\", \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"value\": \"kubernetes.controllermanager\", \"alias\": null}}]}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"panelRefName\": \"panel_0\", \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 0, \"i\": \"1\", \"w\": 11, \"y\": 0, \"h\": 14}}, {\"panelRefName\": \"panel_1\", \"panelIndex\": \"2\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 11, \"i\": \"2\", \"w\": 11, \"y\": 0, \"h\": 14}}, {\"panelRefName\": \"panel_2\", \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 22, \"i\": \"3\", \"w\": 26, \"y\": 0, \"h\": 14}}, {\"panelRefName\": \"panel_3\", \"panelIndex\": \"5\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 0, \"i\": \"5\", \"w\": 24, \"y\": 39, \"h\": 12}}, {\"panelRefName\": \"panel_4\", \"panelIndex\": \"6\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 24, \"i\": \"6\", \"w\": 24, \"y\": 39, \"h\": 12}}, {\"panelRefName\": \"panel_5\", \"panelIndex\": \"7\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 24, \"i\": \"7\", \"w\": 24, \"y\": 14, \"h\": 13}}, {\"panelRefName\": \"panel_6\", \"panelIndex\": \"8\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 0, \"i\": \"8\", \"w\": 24, \"y\": 27, \"h\": 12}}, {\"panelRefName\": \"panel_7\", \"panelIndex\": \"9\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"gridData\": {\"x\": 24, \"i\": \"9\", \"w\": 24, \"y\": 27, \"h\": 12}}, {\"panelRefName\": \"panel_8\", \"panelIndex\": \"10\", \"embeddableConfig\": {}, \"version\": \"7.2.0\", \"gridData\": {\"x\": 0, \"i\": \"10\", \"w\": 24, \"y\": 14, \"h\": 13}}]",
                "timeRestore": false,
                "title": "[Metricbeat Kubernetes] Controller Manager",
                "version": 1
            },
            "id": "97312060-9c1b-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "dashboard": "7.0.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                },
                {
                    "id": "bcb194a0-9bf8-11e9-9dc8-fd27291d427f",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "3dbf6230-9c20-11e9-9dc8-fd27291d427f",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "d86b2da0-9c20-11e9-9dc8-fd27291d427f",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "0ca95350-9c24-11e9-9dc8-fd27291d427f",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "3e1e1fd0-9c27-11e9-9dc8-fd27291d427f",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "2ba628e0-9c2a-11e9-9dc8-fd27291d427f",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "8a95de50-9c38-11e9-9dc8-fd27291d427f",
                    "name": "panel_6",
                    "type": "visualization"
                },
                {
                    "id": "485c8550-9c3a-11e9-9dc8-fd27291d427f",
                    "name": "panel_7",
                    "type": "visualization"
                },
                {
                    "id": "7d80f790-9d96-11e9-b2ae-49acc4cbcea9",
                    "name": "panel_8",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-07-03T16:33:10.995Z",
            "version": "WzI5OSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Host selector [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Host selector [Metricbeat Kubernetes]\", \"params\": {\"pinFilters\": false, \"controls\": [{\"fieldName\": \"host.hostname\", \"id\": \"1561982488150\", \"type\": \"list\", \"label\": \"Hostname\", \"options\": {\"dynamicOptions\": true, \"multiselect\": true, \"order\": \"desc\", \"size\": 5, \"type\": \"terms\"}, \"indexPatternRefName\": \"control_0_index_pattern\", \"parent\": \"\"}, {\"fieldName\": \"service.address\", \"id\": \"1561982723711\", \"type\": \"list\", \"label\": \"Service address\", \"options\": {\"dynamicOptions\": true, \"multiselect\": false, \"order\": \"desc\", \"size\": 5, \"type\": \"terms\"}, \"indexPatternRefName\": \"control_1_index_pattern\", \"parent\": \"\"}], \"updateFiltersOnChange\": false, \"useTimeFilter\": false}, \"type\": \"input_control_vis\"}"
            },
            "id": "bcb194a0-9bf8-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "control_1_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-07-03T07:20:34.226Z",
            "version": "WzEzMywxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller Process [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller Process [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"markdown\": \"|  |   |\\n|---|---|\\n|**Days running**|{{ math.started.last.raw }}|\\n|**File descriptors open**|{{ average_of_kubernetes_controllermanager_process_fds_open_count.fds.last.raw }}|\\n|**Resident Memory**|{{ average_of_kubernetes_controllermanager_process_memory_resident_bytes.resident_memory.last.formatted }}|\\n|**Virtual Memory**|{{ average_of_kubernetes_controllermanager_process_memory_virtual_bytes.virtual_memory.last.formatted }}|\\n\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.process.started.sec\", \"type\": \"max\"}, {\"id\": \"ebfdb1c0-9c1c-11e9-b29f-d55be9348723\", \"variables\": [{\"id\": \"ef30a230-9c1c-11e9-b29f-d55be9348723\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"name\": \"started\"}], \"script\": \"round( (params._timestamp /1000 - params.started) / 86400, 2)\", \"type\": \"math\"}], \"var_name\": \"started\", \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"stacked\": \"none\"}, {\"id\": \"1212ba80-9c1e-11e9-b29f-d55be9348723\", \"chart_type\": \"line\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"1212ba81-9c1e-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.process.fds.open.count\", \"type\": \"avg\"}], \"var_name\": \"fds\", \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"\", \"stacked\": \"none\"}, {\"id\": \"3f3b17a0-9c1e-11e9-b29f-d55be9348723\", \"chart_type\": \"line\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"3f3b17a1-9c1e-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.process.memory.resident.bytes\", \"type\": \"avg\"}], \"var_name\": \"resident_memory\", \"formatter\": \"bytes\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"\", \"stacked\": \"none\"}, {\"id\": \"b1a01b50-9c1f-11e9-b29f-d55be9348723\", \"chart_type\": \"line\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"b1a01b51-9c1f-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.process.memory.virtual.bytes\", \"type\": \"avg\"}], \"var_name\": \"virtual_memory\", \"formatter\": \"bytes\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"30s\", \"drop_last_bucket\": 1, \"markdown_css\": \"#markdown-61ca57f0-469d-11e7-af02-69e470af7417 table,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 tr,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 td,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 th{border:none}\", \"axis_scale\": \"normal\", \"markdown_less\": \"\\ntable, tr, td, th {\\n    border: none;\\n}\\n\\n\", \"type\": \"markdown\"}, \"type\": \"metrics\"}"
            },
            "id": "3dbf6230-9c20-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:46:23.136Z",
            "version": "WzI5MSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller HTTP request duration [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller HTTP request duration [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"color\": \"rgba(165,228,85,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.http.request.duration.us.percentile.99\", \"type\": \"avg\"}], \"formatter\": \"us,ms,2\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"P99\", \"stacked\": \"none\"}, {\"id\": \"24fb4960-9c22-11e9-b29f-d55be9348723\", \"chart_type\": \"line\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"24fb4961-9c22-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.http.request.duration.us.percentile.90\", \"type\": \"avg\"}], \"formatter\": \"us,ms,2\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"P90\", \"stacked\": \"none\"}, {\"id\": \"2e397790-9c22-11e9-b29f-d55be9348723\", \"chart_type\": \"line\", \"color\": \"rgba(65,117,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"2e397791-9c22-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.http.request.duration.us.percentile.50\", \"type\": \"avg\"}], \"formatter\": \"us,ms,2\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"P50\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "d86b2da0-9c20-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T13:31:57.207Z",
            "version": "WzI2MywyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller Longest running processor [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller Longest running processor [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"kubernetes.controllermanager.name\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.longestrunning.sec\", \"type\": \"avg\"}], \"terms_size\": \"5\", \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"fill\": 0.5, \"terms_direction\": \"desc\", \"line_width\": 1, \"label\": \"\", \"split_mode\": \"terms\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"axis_min\": \"0\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "0ca95350-9c24-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:31:08.744Z",
            "version": "WzI5OCwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller Unfinished jobs sec [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller Unfinished jobs sec [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"terms_size\": \"5\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"kubernetes.controllermanager.name\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"split_color_mode\": \"rainbow\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.unfinished.sec\", \"type\": \"avg\"}], \"formatter\": \"number\", \"split_mode\": \"terms\", \"fill\": 0.5, \"line_width\": 1, \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"point_size\": 1, \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"axis_min\": \"0\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "3e1e1fd0-9c27-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:30:46.554Z",
            "version": "WzI5NywyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller Memory [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller Memory [Metricset Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"color\": \"rgba(251,158,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.process.memory.resident.bytes\", \"type\": \"avg\"}], \"formatter\": \"bytes\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"Resident\", \"stacked\": \"none\"}, {\"id\": \"ac896b30-9c29-11e9-92c1-f7d03186c592\", \"chart_type\": \"line\", \"color\": \"rgba(164,221,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"ac896b31-9c29-11e9-92c1-f7d03186c592\", \"field\": \"kubernetes.controllermanager.process.memory.virtual.bytes\", \"type\": \"avg\"}], \"formatter\": \"bytes\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"Virtual\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "2ba628e0-9c2a-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:04:36.575Z",
            "version": "WzI3NSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller Workqueue adds [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller Workqueue adds [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"terms_size\": \"5\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"kubernetes.controllermanager.name\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"split_color_mode\": \"rainbow\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.adds.count\", \"type\": \"avg\"}, {\"unit\": \"\", \"id\": \"9b5d85d0-9c38-11e9-92c1-f7d03186c592\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\"}], \"formatter\": \"number\", \"split_mode\": \"terms\", \"fill\": 0.5, \"line_width\": 1, \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"point_size\": 1, \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "8a95de50-9c38-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:30:20.439Z",
            "version": "WzI5NiwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller Workqueue retries [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller Workqueue retries [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"kubernetes.controllermanager.name\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.retries.count\", \"type\": \"avg\"}, {\"unit\": \"\", \"id\": \"b3107560-9c39-11e9-92c1-f7d03186c592\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\"}], \"terms_size\": \"5\", \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"fill\": 0.5, \"terms_direction\": \"desc\", \"line_width\": 1, \"label\": \"\", \"split_mode\": \"terms\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"axis_min\": \"0\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "485c8550-9c3a-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:29:29.303Z",
            "version": "WzI5NSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Controller CPU [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Controller CPU [Metricbeat Kubernetes]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"value_template\": \"{{value}} s\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.process.cpu.sec\", \"type\": \"avg\"}, {\"unit\": \"\", \"id\": \"47731390-9d96-11e9-9e81-115d18bcfeaa\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"CPU time\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"time_field\": \"\", \"axis_min\": \"0\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "7d80f790-9d96-11e9-b2ae-49acc4cbcea9",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:12:01.291Z",
            "version": "WzI3OCwyXQ=="
        }
    ],
    "version": "7.2.0"
}